<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<form>
    <label>Bearer token <input type="text" id="tokenField"></label> <button id="tokenBtn">Set token</button>
</form>
<iframe width="900" height="500" id="gui-frame" src="about:blank"></iframe>
<script>
    var myUrl = new URL(window.location.href);
    var tokenPromise = new Promise(function(resolve, reject) {
        document.getElementById('tokenBtn').addEventListener("click", function(e) {
            e.preventDefault();
            e.stopPropagation();
            resolve(document.getElementById('tokenField').value);
        });
    });
    if(myUrl.searchParams.has('service') && (/^[a-zA-Z0-9_.-]+$/).test(myUrl.searchParams.get('service'))) {
        //var serviceUrl = new URL("../dummy-services/" + (myUrl.searchParams.has('async') ? 'async/' : '') + myUrl.searchParams.get('service'), myUrl).toString();
        var serviceUrl = new URL("../execution/" + (myUrl.searchParams.has('async') ? 'async/' : '') + 'processAudio/' + myUrl.searchParams.get('service'), myUrl).toString();
        var md = myUrl.searchParams.get('mdRelPath');
        var mdUrl;
        if(md) {
            mdUrl = new URL(md, myUrl).toString();
        } else {
            mdUrl = new URL("../catalogue_backend/api/registry/metadatarecord/" + myUrl.searchParams.get('mdId') + "/", myUrl).toString();
        }
        window.addEventListener('message', function (e) {
            tokenPromise.then(function(token) {
                document.getElementById('gui-frame').contentWindow.postMessage(JSON.stringify({
                    "StyleCss": "empty.css", "ServiceUrl": serviceUrl,
                    "Authorization": "Bearer " + token,
                    "ApiRecordUrl": mdUrl,
                    "guiIeRewriteFrom":"https://live.european-language-grid.eu",
                    "guiIeRewriteTo":myUrl.origin
                }), window.location.origin)
            });
        }, false);
    }

    document.getElementById('gui-frame').src = 'index-asr.html' + window.location.search;
</script></body>
</html>